Bug 199469 - deskutils/parcellite: Build fails with NLS=off
Summary: deskutils/parcellite: Build fails with NLS=off
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-15 17:57 UTC by Tobias Kortkamp
Modified: 2015-07-14 22:34 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (koalative)


Attachments
parcellite-1.1.7_1,1.log (22.28 KB, text/plain)
2015-04-15 17:57 UTC, Tobias Kortkamp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2015-04-15 17:57:14 UTC
Created attachment 155628 [details]
parcellite-1.1.7_1,1.log

When unsetting the NLS option for desktutils/parcellite the build fails in the configure phase and complains that the gettext tools cannot be found. I have attached the poudriere log.
Comment 1 Beeblebrox 2015-04-25 03:43:45 UTC
Here's the correct patch, courtesy of Tijl Coosemans.
Tested in poudriere_11-current_amd64.

-------------------------
security/gnomint/Makefile
@@ -18 +18 @@
-USES=		gmake pkgconfig
+USES=		gmake pkgconfig gettext-tools

@@ -28 +28 @@
-NLS_USES=		gettext
+NLS_USES=		gettext-runtime
Comment 2 Guido Falsi freebsd_committer 2015-07-14 22:34:12 UTC
Patch committed. Thanks.
Comment 3 commit-hook freebsd_committer 2015-07-14 22:34:36 UTC
A commit references this bug:

Author: madpilot
Date: Tue Jul 14 22:33:50 UTC 2015
New revision: 392103
URL: https://svnweb.freebsd.org/changeset/ports/392103

Log:
  Fix build when NLS is disabled.

  PR:		199469
  Submitted by:	tobias.kortkamp at gmail.com
  Approved by:	Maintainer timeout

Changes:
  head/deskutils/parcellite/Makefile